<?php
/**
 * @package   Somaxiom Template - RocketTheme
 * @version   ${project.version} ${build_date}
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - ${copyright_year} RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Gantry uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

gantry_import('core.gantryfeature');

class GantryFeatureBranding extends GantryFeature {
    var $_feature_name = 'branding';

	function render($position="") {
	    ob_start();
	    ?>
		<div class="clear"></div>
		<div class="rt-block">
			<div id="developed-by">
				<?php echo JText::_('DEVELOPED_BY');?> <a href="http://www.rockettheme.com/" title="rockettheme.com" id="rocket"></a>
			</div>
			<div id="powered-by"> 
				<?php echo JText::_('POWERED_BY');?> <a href="http://www.gantry-framework.org" title="Gantry Framework" id="gantry-logo"></a>
			</div>
			<div class="clear"></div>
		</div>
		<?php
	    return ob_get_clean();
	}
}