<?php
/**
 * @package   Somaxiom Template - RocketTheme
 * @version   ${project.version} ${build_date}
 * @author    RocketTheme http://www.rockettheme.com
 * @copyright Copyright (C) 2007 - ${copyright_year} RocketTheme, LLC
 * @license   http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 *
 * Rockettheme Somaxiom Template uses the Joomla Framework (http://www.joomla.org), a GNU/GPLv2 content management system
 *
 */
defined('JPATH_BASE') or die();

$gantry_config_mapping = array(
    'belatedPNG' => 'belatedPNG',
	'ie6Warning' => 'ie6Warning'
);

$gantry_presets = array (
    'presets' => array (
        'preset1' => array (
            'name' => 'Preset 1',
			'bodylevel' => 'high',
            'cssstyle' => 'style1',
            'linkcolor' => '#CD5A1C',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#89B6B6',
			'iphone-header-gradient-to' => '#89B6B6',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
        'preset2' => array (
            'name' => 'Preset 2',
			'bodylevel' => 'high',
            'cssstyle' => 'style2',
            'linkcolor' => '#034751',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#A76E40',
			'iphone-header-gradient-to' => '#A76E40',
			'iphone-header-gradient-fromopacity' => '0.8',
			'iphone-header-gradient-toopacity' => '1'
        ),
        'preset3' => array (
            'name' => 'Preset 3',
			'bodylevel' => 'high',
            'cssstyle' => 'style3',
            'linkcolor' => '#668500',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#475D5B',
			'iphone-header-gradient-to' => '#475D5B',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
        'preset4' => array (
            'name' => 'Preset 4',
			'bodylevel' => 'high',
            'cssstyle' => 'style4',
            'linkcolor' => '#C09D5A',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#355469',
			'iphone-header-gradient-to' => '#355469',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
        'preset5' => array (
            'name' => 'Preset 5',
			'bodylevel' => 'high',
            'cssstyle' => 'style5',
            'linkcolor' => '#644A33',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#713155',
			'iphone-header-gradient-to' => '#713155',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
        'preset6' => array (
            'name' => 'Preset 6',
			'bodylevel' => 'high',
            'cssstyle' => 'style6',
            'linkcolor' => '#787D00',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#89B6B6',
			'iphone-header-gradient-to' => '#89B6B6',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
		'preset7' => array (
            'name' => 'Preset 7',
			'bodylevel' => 'high',
            'cssstyle' => 'style7',
            'linkcolor' => '#672404',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#AEAD9F',
			'iphone-header-gradient-to' => '#AEAD9F',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        ),
		'preset8' => array (
            'name' => 'Preset 8',
			'bodylevel' => 'high',
            'cssstyle' => 'style8',
            'linkcolor' => '#FFFFCC',
            'font-family' => 'helvetica',
			'iphone-header-gradient-from' => '#999',
			'iphone-header-gradient-to' => '#999',
			'iphone-header-gradient-fromopacity' => '0.9',
			'iphone-header-gradient-toopacity' => '1'
        )
    )
);

$gantry_browser_params = array(
    'ie6' => array(
        'bodylevel' => 'low',
		'bodystyle' => 'none'
    )
);

$gantry_belatedPNG = array('.png', '.stuff', '.rt-block', '.rt-joomla .icon');

$gantry_ie6Warning = "<h3>IE6 DETECTED: Currently Running in Compatibility Mode</h3><h4>This site is compatible with IE6, however your experience will be enhanced with a newer browser</h4><p>Internet Explorer 6 was released in August of 2001, and the latest version of IE6 was released in August of 2004.  By continuing to run Internet Explorer 6 you are open to any and all security vulnerabilities discovered since that date.  In March of 2009, Microsoft released version 8 of Internet Explorer that, in addition to providing greater security, is faster and more standards compliant than both version 6 and 7 that came before it.</p> <br /><a class='external'  href='http://www.microsoft.com/windows/internet-explorer/?ocid=ie8_s_cfa09975-7416-49a5-9e3a-c7a290a656e2'>Download Internet Explorer 8 NOW!</a>";